/**************************************************************************
                                                  main.cpp  -  description
                                                         -------------------
        begin                            : 2002-03-22 16:40:52
        copyright                        : (C) 2003 by Grard Delafond & Joris Marcillac
        email                            : gerard@delafond.org & joris@marcillac.com
**************************************************************************/
/**************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*       This program is distributed in the hope that it will be useful,           *
*       but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         *
*       Library General Public License for more details.                                          *
*                                                                         *
*       You should have received a copy of the GNU Library General Public         *
*       License along with this library; if not, write to the Free                        *
*       Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,       *
*       MA 02111-1307, USA                                                                                                        *
*                                                                         *
**************************************************************************//****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
#include "bmiform.h"
#include "pregnancyform.h"
#include "cockroftform.h"
#include "friedwaldform.h"
#include "ruffierform.h"
#include "helpform.h"
#include "aggirform.h"

void Form1::fileExit()
{
    close();
}

void Form1::helpContents()
{
    helpForm* helpDlg = new helpForm();
    helpDlg->show();
}

void Form1::helpAbout()
{
    CAboutDlg aDlg(0, "AboutDlg", true);
    aDlg.setCaption(tr( "About ..." ) );
    aDlg.VersionTextLabel->setText(tr( MEDIUTIL_VERSION_STR ) );
    aDlg.exec();
}


void Form1::bmiSlot()
{
    bmiForm* bmiDlg = new bmiForm();
    bmiDlg->show();
}


void Form1::pregnancySlot()
{
    pregnancyForm* pregnancyDlg = new pregnancyForm();
    pregnancyDlg ->show();
}


void Form1::cockroftSlot()
{
    CockroftForm* cockroftDlg = new CockroftForm();
    cockroftDlg ->show();
}


void Form1::friedwaldSlot()
{
    FriedwaldForm* friedwaldDlg = new FriedwaldForm();
    friedwaldDlg ->show();
}


void Form1::ruffierSlot()
{
    ruffierForm* ruffierDlg = new ruffierForm ();
    ruffierDlg->show();
}

void Form1::AGGIRSlot()
{
    AGGIRForm* aggirDlg = new AGGIRForm ();
    aggirDlg->show();
}
