/**************************************************************************
                                                  main.cpp  -  description
                                                         -------------------
        begin                            : 2002-03-22 16:40:52
        copyright                        : (C) 2003 by Grard Delafond & Joris Marcillac
        email                            : gerard@delafond.org & joris@marcillac.com
**************************************************************************/
/**************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*       This program is distributed in the hope that it will be useful,           *
*       but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         *
*       Library General Public License for more details.                                          *
*                                                                         *
*       You should have received a copy of the GNU Library General Public         *
*       License along with this library; if not, write to the Free                        *
*       Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,       *
*       MA 02111-1307, USA                                                                                                        *
*                                                                         *
**************************************************************************/
#include <qtextcodec.h>
#include <qtranslator.h>
#include <qapplication.h>
#include "form1.h"


int main( int argc, char ** argv )
{
    QApplication::addLibraryPath( "." );
    QApplication a( argc, argv );
    QTranslator translator (0);
    QString PathLocate;
#if defined (Q_WS_WIN)
    PathLocate=".";
#elif defined (Q_WS_MACX)
    PathLocate=".";
#else 
    PathLocate="/usr/share/locale/fr/LC_MESSAGES";
#endif
    translator.load (QString("mediutil_") + QTextCodec::locale(),PathLocate);
    a.installTranslator(&translator);
    Form1 *w = new Form1;
    w->show();
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
    return a.exec();
}
