/**************************************************************************
                                                  main.cpp  -  description
                                                         -------------------
        begin                            : 2002-03-22 16:40:52
        copyright                        : (C) 2003 by Grard Delafond & Joris Marcillac
        email                            : gerard@delafond.org & joris@marcillac.com
**************************************************************************/
/**************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*       This program is distributed in the hope that it will be useful,           *
*       but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         *
*       Library General Public License for more details.                                          *
*                                                                         *
*       You should have received a copy of the GNU Library General Public         *
*       License along with this library; if not, write to the Free                        *
*       Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,       *
*       MA 02111-1307, USA                                                                                                        *
*                                                                         *
**************************************************************************//****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

#include <qtabwidget.h>
#include "helpform.h"

void ruffierForm::calculateRuffier()
{
    // Retrieve the inputs
    int firstPulse=firstPulseSpinBox ->value() ;
    int secondPulse=secondPulseSpinBox ->value() ;
    int thirdPulse=thirdPulseSpinBox ->value() ;
    
    // set the result
    int  ruffierdickson = ( ( secondPulse - 70 ) + 2 * ( thirdPulse - firstPulse ) ) / 10;
    resultRuffierDicksonTextLabel->setText( QString::number( ruffierdickson, 'f',0 ) );
    if ( ruffierdickson < 3 )
	interpretTextLabel -> setText (tr( ": excellent") );
    else if ( ruffierdickson >= 3 && ruffierdickson < 6 )
	interpretTextLabel -> setText (tr( ": good") );
    else if ( ruffierdickson >= 6 && ruffierdickson < 10 )
	interpretTextLabel -> setText (tr( ": medium") );
    else
	interpretTextLabel->setText (tr( ": bad" ));
    int ruffier = ( firstPulse + secondPulse + thirdPulse - 200) / 10 ;
  resultRuffierTextLabel->setText( QString::number( ruffier, 'f',0 ) );   
  if ( ruffier < 0 )
	interpretRuffierTextLabel -> setText (tr( ": excellent") );
    else if ( ruffier >= 0 && ruffier < 2 )
	interpretRuffierTextLabel -> setText (tr( ": very good") );
    else if ( ruffier >= 2 && ruffier < 4 )
	interpretRuffierTextLabel -> setText (tr( ": good") );
    else if ( ruffier >= 4 && ruffier < 6 )
	interpretRuffierTextLabel -> setText (tr( ": medium") );
    else if ( ruffier >= 6 && ruffier < 8 )
	interpretRuffierTextLabel -> setText (tr( ": weak") );
    else if ( ruffier >= 8 && ruffier < 10 )
	interpretRuffierTextLabel -> setText (tr( ": very weak") );
    else
	interpretRuffierTextLabel->setText (tr( ": bad" ));
  
}

#include <qvalidator.h>
void ruffierForm::init()
{ 
    calculateRuffier();
}

void ruffierForm::resetSpinBoxSlot()
{
firstPulseSpinBox ->setValue(70) ;
secondPulseSpinBox ->setValue(100) ;
thirdPulseSpinBox ->setValue(70) ;
}


void ruffierForm::helpSlot()
{
helpForm* helpDlg = new helpForm(this);
helpDlg->helpTabWidget->setCurrentPage ( 3 );
helpDlg->show();
}
