/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
/**************************************************************************
                                                  main.cpp  -  description
                                                         -------------------
        begin                            : 2002-03-22 16:40:52
        copyright                        : (C) 2003 by Grard Delafond & Joris Marcillac
        email                            : gerard@delafond.org & joris@marcillac.com
**************************************************************************/
/**************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*       This program is distributed in the hope that it will be useful,           *
*       but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         *
*       Library General Public License for more details.                                          *
*                                                                         *
*       You should have received a copy of the GNU Library General Public         *
*       License along with this library; if not, write to the Free                        *
*       Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,       *
*       MA 02111-1307, USA                                                                                                        *
*                                                                         *
**************************************************************************/
#include <qtabwidget.h>
#include <math.h>
#include "helpform.h"
void bmiForm::calculateIndex()
{
    // Retrieve the inputs
    double weight = weightEdit->text().toDouble();
    double size = sizeEdit->text().toDouble();
    
    
    //conversions
    //   
    double result = ( weight *10000 ) / ( size * size ) ;
    double surface =pow( weight, 0.425 ) * ( pow( size, 0.725 ) )*71.84/10000;
    
    // set the result
    int decimals = decimalSpinBox->value();
    indexLabel->setText( QString::number( result, 'f', decimals ) );   
    surfaceLabel->setText( QString::number( surface, 'f', decimals ) );
    if ( result<23 )
	interpretTextLabel -> setText (tr( ": thin") );
    else if ( result>=23 && result<26 )
	interpretTextLabel -> setText (tr( ": normal") );
    else if ( result>=26 && result<30 )
	interpretTextLabel -> setText (tr( ": big") );
    else if ( result>=30 && result<35 )
	interpretTextLabel -> setText (tr( ": too big") );
    else
	interpretTextLabel->setText (tr( ": far too big" ));
}
#include <qvalidator.h>
void bmiForm::init()
    {
        weightEdit->setValidator( new QDoubleValidator( weightEdit )  );
        weightEdit->setText( "50" );
        sizeEdit->setValidator( new QDoubleValidator( sizeEdit )  );
        sizeEdit->setText( "150" );
         calculateIndex();
        weightEdit->selectAll();
        sizeEdit->selectAll();
    }

void bmiForm::helpSlot()
{
    helpForm* helpDlg = new helpForm(this);
    helpDlg->helpTabWidget->setCurrentPage ( 1 );
    helpDlg->show();
}


void bmiForm::resetSlot()
{
    weightEdit->setText( "50" );
    sizeEdit->setText( "150" );
    calculateIndex();
}
